/**
 * Advanced Internet Service Project
 * 
 * Speaker recognition enhanced voice conference.
 * 
 * Authors: Yancheng Li, Liang Wei, Zhaoyuan Zhang
 * 
 */

package SpeakerRegonition;

public class LPCCRecognizer implements ISpeakerRecognizer {
	FeatureExtractor fe = new FeatureExtractor(new double[128][128]);
	FeatureComparator jid = null;
	
	String type = "String";
	String userName = "";

	@Override
	public String recognize(byte[] data) {
		jid = new FeatureComparator(fe.featureVector, type);
		
		userName = jid.username;
		
		return userName;
	}

}
