/**
 * Advanced Internet Service Project
 * 
 * Speaker recognition enhanced voice conference.
 * 
 * Authors: Yancheng Li, Liang Wei, Zhaoyuan Zhang
 * 
 */

public class AudioUtil {
	
	public static int FRAME_SIZE = 1024;	
	public static int RECOGNIZATION_FRAME_SIZE = FRAME_SIZE * 100;
	public static int TRAINING_FRAME_SIZE = FRAME_SIZE * 200;
	public static int WAVEFORM_SIZE = FRAME_SIZE * 200;
	public static byte DATA =  0x5A;
	public static byte START = 0x55;
	public static byte NAME = 0x7A;


	public static char[] convert2Char(byte[] data){
		char[] charData = new char[data.length];
		for(int i = 0; i < data.length; i++)
			charData[i] = (char)data[i];
			
		return charData;
	}
	
	public static byte[] convert2Byte(char[] data){
		byte[] byteData = new byte[data.length];
		for(int i = 0; i < data.length; i++)
			byteData[i] = (byte)data[i];
			
		return byteData;
	}
	public static void print(String string, boolean print){
		if(!print)
			return;
		
		System.out.println(string + "\n");
		System.out.print(">>");
	}
}
